# eoNDSorting_II< EOT > Class Template Reference

Fast Elitist Non-Dominant Sorting Genetic Algorithm. More...

`#include <eoNDSorting.h>`

Inheritance diagram for eoNDSorting_II< EOT >:

List of all members.

## Public Types

typedef std::pair< double, unsigned > | double_index_pair

## Public Member Functions

| eoNDSorting_II (bool nasty_flag_=false)
std::vector< double > | niche_penalty (const std::vector< unsigned > &_cf, const eoPop< EOT > &_pop)
| _cf points into the elements that consist of the current front

## Detailed Description

### template<class EOT>
class eoNDSorting_II< EOT >

Fast Elitist Non-Dominant Sorting Genetic Algorithm.

Adapted from Deb, Agrawal, Pratab and Meyarivan: A Fast Elitist Non-Dominant Sorting Genetic Algorithm for MultiObjective Optimization: NSGA-II KanGAL Report No. 200001

Note that this class does not do the sorting per se, but the sorting of it worth_std::vector will give the right order

The crowding distance is calculated as the sum of the distances to the nearest neighbours. As we need to return the penalty value, we have to invert that and invert it again in the base class, but such is life, sigh

Definition at line 434 of file eoNDSorting.h.

The documentation for this class was generated from the following file:

- eoNDSorting.h